%ifnos darwin
%define __defattr	%defattr(-,root,root)
%define __cp_a		cp -a
%else
%define __defattr	%defattr(-,root,wheel)
%define __cp_a		cp -pPR
%endif

%define texmf		%{_datadir}/texmf
%define build_texmf	$RPM_BUILD_ROOT%{texmf}
%define exec_texhash	[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash 2> /dev/null

Summary: dvipdfm is a DVI (TeX) to PDF translator
Summary(ja): DVI  PDF Ѵ
Name: dvipdfm
Version: 0.13.2c
Release: 0vl8a
Source0: http://gaspra.kettering.edu/dvipdfm/%{name}-%{version}.tar.gz
# for Japanese
Source10: http://www.nn.iij4u.or.jp/~tutimura/hirata/dvipdfm-2002-03-29.zip
URL: http://gaspra.kettering.edu/dvipdfm/
Copyright: GPL
Buildroot: %{_tmppath}/%{name}-%{version}-root
Group: Applications/Publishing
%ifnos darwin
BuildRequires: tetex >= 0.9, unzip
%else
BuildRequires: tetex >= 0.9
%endif
Autoreq: 0
%ifnos darwin
PreReq: sh-utils
%endif
Requires: tetex

# Vendor: Project Vine
# Distribution: Vine Linux

%description
dvidpfm is a DVI to PDF translator for use with TeX.

%description -l ja
dvidpfm  DVI  PDF ؤѴԤޤ
ʿĤܸ첽ѥå򤢤ƤƤޤ
http://www.nn.iij4u.or.jp/~tutimura/hirata/index.html

Linux  AcrobatReader4.05 Ǥϲɽޤ
ܸΤᤳळȤǤޤ
TeX Ƭ

\usepackage[dvipdfm]{color}
\usepackage[dvipdfm,bookmarks=true,bookmarksnumbered=true,%
bookmarkstype=toc]{hyperref}

ʤɤȽ񤤤Ƥơ

% platex foo
% platex foo
% out2uni foo
% platex foo
% dvipdfm foo

ȥѥ뤷ޤ

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}
%{__cp_a} latex-support latex-sample
rm -f latex-sample/{Makefile,dvipdfm.def}
# for Japanese
unzip -q %{SOURCE10}
gzip -dc dvipdfm/distfiles/dvipdfm-0.13.2c-jpatch-p1d.diff.gz | patch -p1 -s
mkdir dvipdfm-jpatch
mv dvipdfm/*.html dvipdfm-jpatch/
mv dvipdfm/distfiles/{ChangeLog.jis,README.jis} dvipdfm-jpatch/
mv dvipdfm/contrib/README-out2uni.jis dvipdfm-jpatch/
mv dvipdfm/example dvipdfm-jpatch/
mv dvipdfm/contrib/out2uni.c ./
mv dvipdfm/extra/efont.map ./
#patch -p1 -s < dvipdfm/extra/patch-concat-stream.diff
#patch -p1 -s < dvipdfm/extra/patch-pass-numbersign.diff
rm -rf dvipdfm

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --datadir=%{_datadir} --mandir=%{_mandir}
make
(cd doc; tex dvipdfm.tex; rm -f dvipdfm.log)
# for Japanese
%ifnos darwin
make CFLAGS="$RPM_OPT_FLAGS -DEUC" out2uni
%else
make CFLAGS="$RPM_OPT_FLAGS -DSJIS" out2uni
%endif

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix} texmf=%{build_texmf} mandir=$RPM_BUILD_ROOT%{_mandir} INSTALL="install -c -s" install
mkdir -p %{build_texmf}/tex/latex/dvipdfm
%{__cp_a} latex-support/dvipdfm.def %{build_texmf}/tex/latex/dvipdfm/
# for Japanese
install -c -s out2uni $RPM_BUILD_ROOT%{_bindir}
%{__cp_a} efont.map %{build_texmf}/dvipdfm/config/
cat <<EOF>> %{build_texmf}/dvipdfm/config/config
% efont-serif (http://openlab.ring.gr.jp/efont/)
f efont.map

EOF

%post
%{exec_texhash}
exit 0

%postun
%{exec_texhash}
exit 0


%clean
rm -rf $RPM_BUILD_ROOT

%files
%{__defattr}
%{_bindir}/dvipdfm
%{_bindir}/dvipdft
%{_bindir}/ebb
%{_bindir}/out2uni
%{_mandir}/man1/dvipdfm.*
%dir %{texmf}/dvipdfm
%dir %{texmf}/dvipdfm/config
%config %{texmf}/dvipdfm/config/*
%{texmf}/dvipdfm/base
%{texmf}/tex/latex/dvipdfm
%doc AUTHORS COPYING ChangeLog Credits INSTALL* NEWS OBTAINING README* TODO
%doc doc/ latex-sample/ dvipdfm-jpatch/

%changelog
* Sun Nov 24 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp> 0.13.2c-0vl8
- 1st build on MacOS X 10.2

* Mon Jun 17 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 0.13.2c-0vl8
- rebuild against dvipdfm-2002-03-29.zip

* Wed Oct 10 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.13.2c-0vl7
- simply increased release number (VinePlus's package had the same release!)

* Wed Sep 19 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 0.13.2c-0vl6
- rebuild against dvipdfm.zip (2001-09-14)

* Fri Sep 14 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 0.13.2c-0vl5
- rebuild against dvipdfm.zip (2001-09-09)
- update out2uni.c (2001-09-11, for gcc-3.0/glibc-2.2)
- removed require: pxfonts, txfonts

* Thu Aug 02 2001 Satoshi MACHINO <machino@vinelinux.org> 0.13.2c-0vl4
- pTeX to tetex

* Wed Jul 04 2001 Satoshi MACHINO <machino@vinelinux.org> 0.13.2c-0vl3
- added require: pxfonts, txfonts

* Tue Jul 03 2001 Satoshi MACHINO <machino@vinelinux.org> 0.13.2c-0vl2
- rebuild for VineSeed
- changed mandir /usr/share/man 
- used rpmmacros

* Sat Jun 30 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2c-0vl1
- update 0.13.2c, apply jpatch-p0d patch.

* Wed Jun 27 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-5
- apply bgcolor, colorname, gcc30 patch.

* Thu Jun 21 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-4
- apply jpatch-p0c patch.

* Fri Jun 15 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-3
- add out2uni
- apply printf and pagesize patch.

* Tue Jun 12 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-2
- apply patch-psspecial.c and jpatch-p0b.
